Mandatory update of your pricing software 2016.2

System requirements:

Windows 10, Windows 8, Windows 7 or Windows Vista.
You need to have administrator privileges on your computer.

Version:

2017.1

Release date:

December 15, 2016

Products:

ASSURE-DEBT, P.A.G.E., PAIRE and Term Insurance Serie (life and critical illness)

Download

Click on the link below to download and execute the software.

installation-2017-1-en.exe (73 Mo)

Installation

Important notice

  • Do not change the filename of installation-2017-1-en.exe.
  • Do not change the Destination folder.
  • If a previous version (2.8, 3.2, 2013.1, 2014.2, 2015.1, 2015.2, 2016.1 or 2016.2)
    is already installed on your computer, your "Clients" database will be maintained.
  • Follow the installation Wizard